Bug 829 - nxterm is not properly localized
Summary: nxterm is not properly localized
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xterm-color
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-01-14 08:47 UTC by Aleksey Nogin
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-24 19:51:22 UTC


Attachments (Terms of Use)

Description Aleksey Nogin 1999-01-14 08:47:49 UTC
When I start nxterm and switch keyboard into the Cyrillic
mode (I am using Xkb, it generate Cyrillic_* keysyms) and
start typing, rxvt would not react (as if nothing is typed).

When xterm, Netscape or gvim is started from the same shell,
cyrillics works fine.

I had the same problem in RedHat 5.1

In RH 5.2 I checked it with the following setup:

glibc-2.0.7-29
xterm-color-1.1-9
XFree86-libs-3.3.2.3-25
XFree86-3.3.3-1
XFree86-SVGA-3.3.3-1

P.S. rxvt has the same problem (bug report #828) and as a
result, I can only use xterm.

Comment 1 Aleksey Nogin 1999-01-26 02:36:59 UTC
The problem still exists when using XFree*3.3.3.1-1

Comment 2 Aleksey Nogin 1999-03-22 22:19:59 UTC
I was able to fix this problem in xterm-color-1.1-10 (from RawHide) by
applying the following patch:

--- xterm-sb_right-ansi-3d/main.c.locale        Mon Mar 22 17:10:46
1999
+++ xterm-sb_right-ansi-3d/main.c       Mon Mar 22 17:11:06 1999
@@ -934,7 +934,7 @@
        int xerror(), xioerror();

 #ifdef I18N
-       setlocale(LC_ALL, NULL);
+       setlocale(LC_ALL, "");
 #endif

        ProgramName = argv[0];

(I will send the patch by e-mail too.)

------- Email Received From  Alexey Nogin <ayn2@cornell.edu> 03/22/99 17:21 -------

Comment 3 Preston Brown 1999-03-24 19:51:59 UTC
color-xterm/nxterm is being obsoleted in Red Hat linux 6.0 by xterm,
which now does color just fine.


Note You need to log in before you can comment on or make changes to this bug.